com.independentsoft.exchange

## Class Notification

- java.lang.Object
- - com.independentsoft.exchange.Notification

-     public class Notification
      extends java.lang.Object

  Contains information about the subscription and the events that have occurred since the last notification.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Notification()` Initializes a new instance of the Notification class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Event>` | `getEvents()` Gets a collection of events in which an item or folder is copied, created, deleted, modified, new or Represents a notification that no new activity has occurred in the mailbox.
    `java.lang.String` | `getPreviousWatermark()` Gets the watermark of the latest event that was successfully communicated to the client for the subscription.
    `java.lang.String` | `getSubscriptionId()` Gets the identifier for a subscription.
    `boolean` | `hasMoreEvents()` Gets whether there are more events in the queue to be delivered to the client.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Notification

          public Notification()

      Initializes a new instance of the Notification class.

  - ### Method Detail

    - #### getSubscriptionId

          public java.lang.String getSubscriptionId()

      Gets the identifier for a subscription.
      Returns:
        the subscription id

    - #### getPreviousWatermark

          public java.lang.String getPreviousWatermark()

      Gets the watermark of the latest event that was successfully communicated to the client for the subscription.
      Returns:
        the previous watermark

    - #### hasMoreEvents

          public boolean hasMoreEvents()

      Gets whether there are more events in the queue to be delivered to the client.
      Returns:
        true, if successful

    - #### getEvents

          public java.util.List<Event> getEvents()

      Gets a collection of events in which an item or folder is copied, created, deleted, modified, new or Represents a notification that no new activity has occurred in the mailbox.
      Returns:
        the events